package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

public class SalesProcessImage implements Serializable
{

    @SerializedName("id")
    @Expose
    private String id;
    @SerializedName("model_id")
    @Expose
    private String modelId;
    @SerializedName("view_id")
    @Expose
    private String viewId;
    @SerializedName("image")
    @Expose
    private String image;
    @SerializedName("is_deleted")
    @Expose
    private String isDeleted;
    @SerializedName("created_on")
    @Expose
    private String createdOn;
    @SerializedName("modified_on")
    @Expose
    private String modifiedOn;
    @SerializedName("image_url")
    @Expose
    private String imageUrl;
    @SerializedName("hotspot")
    @Expose
    private List<SalesProcessHotspot> salesProcessHotspots = null;
    private final static long serialVersionUID = -1121754346685335776L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getModelId() {
        return modelId;
    }

    public void setModelId(String modelId) {
        this.modelId = modelId;
    }

    public String getViewId() {
        return viewId;
    }

    public void setViewId(String viewId) {
        this.viewId = viewId;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(String createdOn) {
        this.createdOn = createdOn;
    }

    public String getModifiedOn() {
        return modifiedOn;
    }

    public void setModifiedOn(String modifiedOn) {
        this.modifiedOn = modifiedOn;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public List<SalesProcessHotspot> getSalesProcessHotspots() {
        return salesProcessHotspots;
    }

    public void setSalesProcessHotspo(List<SalesProcessHotspot> salesProcessHotspots) {
        this.salesProcessHotspots = salesProcessHotspots;
    }
}